<?php 

require_once 'config.php';

if($permission == "local")
{ 
    if(isset($_SERVER['REMOTE_ADDR']) != "127.0.0.1") 
    {
        die("Only available for local access");
    }
} 
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title id="page_title">WebAIOlog</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="">

    <link href="./bootstrap/css/bootstrap.css" rel="stylesheet">
    <style type="text/css">
    body 
    {
        padding-top: 60px;
        padding-bottom: 40px;
    }
    .sidebar-nav 
    {
        padding: 9px 0;
    }
    </style>

    <link href="./bootstrap/css/bootstrap-responsive.css" rel="stylesheet">

    <!-- HTML5 shim, for IE6-8 support of HTML5 elements -->
    <!--[if lt IE 9]>
    <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->

    <!-- Fav and touch icons -->
    <link rel="apple-touch-icon-precomposed" sizes="144x144" href="./bootstrap/ico/apple-touch-icon-144-precomposed.png">
    <link rel="apple-touch-icon-precomposed" sizes="114x114" href="./bootstrap/ico/apple-touch-icon-114-precomposed.png">
    <link rel="apple-touch-icon-precomposed" sizes="72x72" href="./bootstrap/ico/apple-touch-icon-72-precomposed.png">
    <link rel="apple-touch-icon-precomposed" href="./bootstrap/ico/apple-touch-icon-57-precomposed.png">
    <link rel="shortcut icon" href="./bootstrap/ico/favicon.png">

    <script>
    var hash;

    function func_details_dom()
    {
        hash = location.hash.substring(1);

        if(hash == "home")
        {
            document.getElementById('function_title').innerHTML = "WebAIOlog";
            document.getElementById('function_content').innerHTML = "WebAIOlog(Webbased All in One Android Logger) is a webbased AIOlog to create logs easily without having to type any adb commands";
            document.getElementById('function_link').innerHTML = "<a class=\"btn btn-primary btn-large\" href=\"https://github.com/wcypierre/WebAIOlog\">WebAIOlog Github &raquo;";

            document.getElementById('content_title').innerHTML = "";
            document.getElementById('content_content').innerHTML = "To get started, press any of the logs that you wanted to create by pressing the log name via the panel at the left hand side";
            document.getElementById('content_link').innerHTML = "";
        }
        else if(hash == "logcat")
        {
            document.getElementById('function_title').innerHTML = "Logcat";
            document.getElementById('function_content').innerHTML = "Logcat is used in debugging any sorts of issues(force close) while using an application";
            document.getElementById('function_link').innerHTML = "<a class=\"btn btn-primary btn-large\" href=\"http://developer.android.com/tools/help/logcat.html\">Logcat &raquo;";

            document.getElementById('content_title').innerHTML = "";
            document.getElementById('content_content').innerHTML = "";
            document.getElementById('content_link').innerHTML = "";
        }
        else if(hash == "lastkmsg")
        {
            document.getElementById('function_title').innerHTML = "Last_Kmsg";
            document.getElementById('function_content').innerHTML = "Last_Kmsg is used when there is a problem in the OS(which can be caused by either by apps or the services) and it causes a kernel panic and a reboot of the OS";
            document.getElementById('function_link').innerHTML = "";

            document.getElementById('content_title').innerHTML = "";
            document.getElementById('content_content').innerHTML = "";
            document.getElementById('content_link').innerHTML = "";
        }
        else if(hash == "dmesg")
        {
            document.getElementById('function_title').innerHTML = "Dmesg";
            document.getElementById('function_content').innerHTML = "Dmesg stores the kernel's messages. <br />It can be used to debug bugs in kernel";
            document.getElementById('function_link').innerHTML = "";

            document.getElementById('content_title').innerHTML = "";
            document.getElementById('content_content').innerHTML = "";
            document.getElementById('content_link').innerHTML = "";
        }
        else if(hash == "kmsg")
        {
            document.getElementById('function_title').innerHTML = "Kmsg";
            document.getElementById('function_content').innerHTML = "Kmsg is used to store kernel messages. It is useful to debug problems at a kernel";
            document.getElementById('function_link').innerHTML = "";

            document.getElementById('content_title').innerHTML = "";
            document.getElementById('content_content').innerHTML = "";
            document.getElementById('content_link').innerHTML = "";
        }
        else if(hash == "logessential")
        {
            document.getElementById('function_title').innerHTML = "Log Essential";
            document.getElementById('function_content').innerHTML = "Log Essential is group of logs that are useful in debugging <br />It includes logcat, last_kmsg, dmesg, and kmsg";
            document.getElementById('function_link').innerHTML = "";

            document.getElementById('content_title').innerHTML = "";
            document.getElementById('content_content').innerHTML = "";
            document.getElementById('content_link').innerHTML = "";
        }
        else if(hash == "logall")
        {
            document.getElementById('function_title').innerHTML = "Log All";
            document.getElementById('function_content').innerHTML = "Log All is a group of all of the logs that are useful in debugging <br />It includes logcat, last_kmsg, dmesg, kmsg, kernel version, logcat radio, and many more";
            document.getElementById('function_link').innerHTML = "";

            document.getElementById('content_title').innerHTML = "";
            document.getElementById('content_content').innerHTML = "";
            document.getElementById('content_link').innerHTML = "";
        }
        else if(hash == "misc")
        {
            document.getElementById('function_title').innerHTML = "Miscellaneous";
            document.getElementById('function_content').innerHTML = "All of the functions under Miscellaneous are considered as additional information that is not required in debugging, but it can prove to be useful in some occasions";
            document.getElementById('function_link').innerHTML = "";

            document.getElementById('content_title').innerHTML = "";
            document.getElementById('content_content').innerHTML = "";
            document.getElementById('content_link').innerHTML = "";
        }
        else if(hash == "advanced")
        {
            document.getElementById('function_title').innerHTML = "Advanced";
            document.getElementById('function_content').innerHTML = "All of the functions under Advanced are logs that are generally not used but it will be useful if you have a very specific problem";
            document.getElementById('function_link').innerHTML = "";

            document.getElementById('content_title').innerHTML = "";
            document.getElementById('content_content').innerHTML = "";
            document.getElementById('content_link').innerHTML = "";
        }
        else if(hash == "kernelversion")
        {
            document.getElementById('function_title').innerHTML = "Kernel Version";
            document.getElementById('function_content').innerHTML = "Kernel Version is used to display the current version of your linux kernel";
            document.getElementById('function_link').innerHTML = "";

            document.getElementById('content_title').innerHTML = "";
            document.getElementById('content_content').innerHTML = "";
            document.getElementById('content_link').innerHTML = "";
        }
        else if(hash == "cid")
        {
            document.getElementById('function_title').innerHTML = "CID";
            document.getElementById('function_content').innerHTML = "CID can be used to retrieve the CID version of your HTC phone";
            document.getElementById('function_link').innerHTML = "";

            document.getElementById('content_title').innerHTML = "";
            document.getElementById('content_content').innerHTML = "";
            document.getElementById('content_link').innerHTML = "";
        }
        else if(hash == "logcatradio")
        {
            document.getElementById('function_title').innerHTML = "Logcat Radio";
            document.getElementById('function_content').innerHTML = "Logcat Radio is used to debug any baseband related problems";
            document.getElementById('function_link').innerHTML = "";

            document.getElementById('content_title').innerHTML = "";
            document.getElementById('content_content').innerHTML = "";
            document.getElementById('content_link').innerHTML = "";
        }
        else if(hash == "logcatclear")
        {
            document.getElementById('function_title').innerHTML = "Logcat Clear";
            document.getElementById('function_content').innerHTML = "Logcat Clear is used to clear the logcat";
            document.getElementById('function_link').innerHTML = "";

            document.getElementById('content_title').innerHTML = "";
            document.getElementById('content_content').innerHTML = "";
            document.getElementById('content_link').innerHTML = "";
        }
        else if(hash == "dmesgclear")
        {
            document.getElementById('function_title').innerHTML = "Dmesg Clear";
            document.getElementById('function_content').innerHTML = "Dmesg Clear is used to clear the Dmesg";
            document.getElementById('function_link').innerHTML = "";

            document.getElementById('content_title').innerHTML = "";
            document.getElementById('content_content').innerHTML = "";
            document.getElementById('content_link').innerHTML = "";
        }
        else if(hash == "about")
        {
            document.getElementById('function_title').innerHTML = "About";
            document.getElementById('function_content').innerHTML = "";
            document.getElementById('function_link').innerHTML = "";

            document.getElementById('content_title').innerHTML = "";
            document.getElementById('content_content').innerHTML = "";
            document.getElementById('content_link').innerHTML = "";
        }
        else if(hash == "contact")
        {
            document.getElementById('function_title').innerHTML = "Contact";
            document.getElementById('function_content').innerHTML = "WebAIOlog(Webbased All in One Android Logger) is a webbased AIOlog to create logs easily without having to type any adb commands";
            document.getElementById('function_link').innerHTML = "<a class=\"btn btn-primary btn-large\" href=\"https://github.com/wcypierre/WebAIOlog\">WebAIOlog Github &raquo;"

            document.getElementById('content_title').innerHTML = "";
            document.getElementById('content_content').innerHTML = "";
            document.getElementById('content_link').innerHTML = "";
        }
    }
    </script>
</head>

<body onhashchange="func_details_dom();">
    <div class="navbar navbar-inverse navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container-fluid">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </a>
                <a class="brand" href="#">WebAIOlog - Webbased All in One Android Logger</a>
                <div class="nav-collapse collapse">
                    <p class="navbar-text pull-right">
                        Logged in as <a href="#" class="navbar-link"><?php if(isset($_SERVER['REMOTE_ADDR']) == '127.0.0.1'){ echo 'Administrator'; } else { echo 'Guest'; } ?> </a>
                    </p>
                    <ul class="nav">
                        <li class="active"><a href="#home"><i class="icon-home icon-white"></i> Home</a></li>
                        <li><a href="#about"><i class="icon-user"></i>About</a></li>
                        <li><a href="#contact"><i class="icon-pencil"></i>Contact</a></li>
                    </ul>
                </div><!--/.nav-collapse -->
            </div>
        </div>
    </div>

    <div class="container-fluid">
        <div class="row-fluid">
            <div class="span2">
                <div class="well sidebar-nav">
                    <ul class="nav nav-list">
                        <li class="active"><a href="#home"><i class="icon-home icon-white"></i>Home</a></li>
                        <li class="divider"></li>
                        <li class="nav-header"><a href="#"><i class="icon-th-large"></i>Functions</a></li>
                        <li><a href="#logall"><i class="icon-chevron-right"></i>Log All</a></li>
                        <li><a href="#logessential"><i class="icon-chevron-right"></i>Log Essential</a></li>
                        <li><a href="#logcat"><i class="icon-chevron-right"></i>Logcat</a></li>
                        <li><a href="#dmesg"><i class="icon-chevron-right"></i>Dmesg</a></li>
                        <li><a href="#lastkmsg"><i class="icon-chevron-right"></i>Last_Kmsg</a></li>
                        <li><a href="#kmsg"><i class="icon-chevron-right"></i>Kmsg</a></li>

                        <li class="divider"></li>

                        <li class="dropdown-submenu">
                            <a tabindex="-1" href="#misc"><i class="icon-th-list"></i>Miscellaneous</a>
                            <ul class="dropdown-menu">
                                <li><a href="#kernelversion"><i class="icon-chevron-right"></i>Kernel Version</a></li>
                                <li><a href="#cid"><i class="icon-chevron-right"></i>CID Version</a></li>
                            </ul>
                        </li>

                        <li class="divider"></li>

                        <li class="dropdown-submenu">
                            <a tabindex="-1" href="#advanced"><i class="icon-th-list"></i>Advanced</a>
                            <ul class="dropdown-menu">
                                <li><a href="#logcatradio"><i class="icon-chevron-right"></i>Logcat Radio</a></li>
                                <li><a href="#logcatclear"><i class="icon-chevron-right"></i>Logcat Clear</a></li>
                                <li><a href="#dmesgclear"><i class="icon-chevron-right"></i>Dmesg Clear</a></li>
                            </ul>
                        </li>
                    </ul>
                </div><!--/.well -->
            </div><!--/span-->

            <div class="span10">
                <div class="hero-unit">
                    <h1 id="function_title">WebAIOlog</h1>
                    <p id="function_content" class="text-info">WebAIOlog(Webbased All in One Android Logger) is a webbased solution to create logs easily without having to type any adb commands</p>
                    <p id="function_link"><a class="btn btn-primary btn-large" href="https://github.com/wcypierre/WebAIOlog">WebAIOlog Github &raquo;</a></p>
                </div>

                <div class="row-fluid">
                    <div class="span10">
                        <h2 id="content_title"></h2>
                        <p id="content_content" class="text-info">To get started, press any of the logs that you wanted to create by pressing the log name via the panel at the left hand side</p>
                        <p id="content_link"><a href="#"></a></p>
                    </div><!--/span-->
                </div>
            </div><!--/row-->

            <hr />
            <br />
        </div><!--/.fluid-container-->

        <footer>
            <p></p>
        </footer>

        <script src="./bootstrap/js/jquery.js"></script>
        <script src="./bootstrap/js/bootstrap-transition.js"></script>
        <script src="./bootstrap/js/bootstrap-alert.js"></script>
        <script src="./bootstrap/js/bootstrap-modal.js"></script>
        <script src="./bootstrap/js/bootstrap-dropdown.js"></script>
        <script src="./bootstrap/js/bootstrap-scrollspy.js"></script>
        <script src="./bootstrap/js/bootstrap-tab.js"></script>
        <script src="./bootstrap/js/bootstrap-tooltip.js"></script>
        <script src="./bootstrap/js/bootstrap-popover.js"></script>
        <script src="./bootstrap/js/bootstrap-button.js"></script>
        <script src="./bootstrap/js/bootstrap-collapse.js"></script>
        <script src="./bootstrap/js/bootstrap-carousel.js"></script>
        <script src="./bootstrap/js/bootstrap-typeahead.js"></script>
        <script>func_details_dom();</script>
</body>
</html>
